Advanced search  

News:

cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: coppermine 1.427 -vBulletin® Version 3.8.5 ERROR  (Read 7358 times)

0 Members and 1 Guest are viewing this topic.

ezechiele81

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
coppermine 1.427 -vBulletin® Version 3.8.5 ERROR
« on: May 26, 2010, 12:45:19 pm »

I have the following issue when trying to bridge coppermine and vBulletin® Version 3.8.5:
Coppermine critical error:
Unable to connect to UDB database !

MySQL said:


Coppermine install:
http://www.sanihelp.it/forum/usergallery/
Bridging app install:
http://www.sanihelp.it/forum/usergallery/
Coppermine version: cpg1.427
Bridging app version: vbulletin30.inc.php

Test user account: sanihelp / admingallery

BridgeManager settings:
Bridge app URL:  http://www.sanihelp.it/forum/usergallery/bridgemgr.php
Relative path to your bridge app's config file:  ../
Cookie name or prefix:  /
Use post-based groups?:  0
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47844
  • aka "GauGau"
    • gaugau.de
Re: coppermine 1.427 -vBulletin® Version 3.8.5 ERROR
« Reply #1 on: May 26, 2010, 02:37:06 pm »

Coppermine install:
http://www.sanihelp.it/forum/usergallery/
Bridging app install:
http://www.sanihelp.it/forum/usergallery/
How could the forum URL and the gallery URl possibly be identical? The bridging app URL is http://www.sanihelp.it/forum/
Nesting the gallery inside the forum's folder is not a bright idea and not recommended, however it's not the reason for your issues.

You haven't enabled bridging, so what should we actually look at?

Test user account: sanihelp / admingallery
Posting your gallery admin account is a very silly thing. I have logged in with that account and changed the password. You are supposed to post a non-admin test user account from the app you're about to bridge with (i.e. vB).
Logged

ezechiele81

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
Re: coppermine 1.427 -vBulletin® Version 3.8.5 ERROR
« Reply #2 on: May 26, 2010, 02:44:43 pm »

I posted the admin user and pass because the gallery is empty and has no users.

if I enable the bridge (as you try to make you), does not work any more, giving the error as reported:
"Coppermine critical error:
Unable to connect to UDB database!"


Why?
thanks
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47844
  • aka "GauGau"
    • gaugau.de
Re: coppermine 1.427 -vBulletin® Version 3.8.5 ERROR
« Reply #3 on: May 26, 2010, 03:18:28 pm »

I posted the admin user and pass because the gallery is empty and has no users.
Should I show you how to ruin your entire site using the admin account you posted? It's an admin account that gives you fill privileges to do anything you please. It doesn't matter if the gallery is empty. I could use it to delete your forum just as well. Arguing with supporters is not a bright idea imo.

Why?
The question "why" doesn't apply. We're trying to figure that out for you, but we can't without you doing as suggested.

Take a look at http://forum.coppermine-gallery.net/index.php/topic,60398.0.html and check if what has been said there applies to you.
Logged

ezechiele81

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
Re: coppermine 1.427 -vBulletin® Version 3.8.5 ERROR
« Reply #4 on: May 26, 2010, 03:43:06 pm »

reported on the topic the user had already executed the bridge and had a problem of access.
we fail to install the bridge.
when I try to click "enable" bridge coppermine shows me the error:
Coppermine critical error:
Unable to connect to UDB database!

THROUGHOUT THE GALLERY shuts down.

I can send my new admin password?
thanks
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47844
  • aka "GauGau"
    • gaugau.de
Re: coppermine 1.427 -vBulletin® Version 3.8.5 ERROR
« Reply #5 on: May 26, 2010, 03:56:26 pm »

I can send my new admin password?
You even posted your own admin account? OMG! I have PMed you the changed password. This issue is causing way too much moderation effort...

reported on the topic the user had already executed the bridge and had a problem of access.
we fail to install the bridge.
when I try to click "enable" bridge coppermine shows me the error:
Coppermine critical error:
Unable to connect to UDB database!
I know what happens - I've seen it. You have posted an admin account, remember? I can do what you did and of course I get the same error message you got. The guy in the other thread was told to review some settings in the config of his BBS app and to refresh his cookies - that's what I want you to do as well.
Logged

ezechiele81

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
Re: coppermine 1.427 -vBulletin® Version 3.8.5 ERROR
« Reply #6 on: May 26, 2010, 04:53:05 pm »

thanks for pm.
- i upload the original file
vbulletin30.inc.php
and
udb_base.inc.php

- delete my cookie
- log in as admin, choose "Admin Tools" from the navigation and the "bridge manager"
- enable bridging
and now my gallery show the same error:
http://www.sanihelp.it/forum/usergallery/

What can I do?
in the doc, faq, other posts do not find solutions.
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47844
  • aka "GauGau"
    • gaugau.de
Re: coppermine 1.427 -vBulletin® Version 3.8.5 ERROR
« Reply #7 on: May 26, 2010, 06:29:55 pm »

thanks for pm.
- i upload the original file
vbulletin30.inc.php
and
udb_base.inc.php
does that mean that you have edited those files?
Logged

ezechiele81

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
Re: coppermine 1.427 -vBulletin® Version 3.8.5 ERROR
« Reply #8 on: May 27, 2010, 09:10:35 am »

if I say that I upload those original files, it means that are not modified.

there is a solution? or should be unnecessary to answer these questions for so long?

if coppermine does not support users with "vbulletin 3.83" tell me
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47844
  • aka "GauGau"
    • gaugau.de
Re: coppermine 1.427 -vBulletin® Version 3.8.5 ERROR
« Reply #9 on: May 27, 2010, 10:14:50 am »

I don't know if Coppermine can be bridged with vB at all, since I don't own a copy of vB - as far as I'm aware, none of the dev team members owns one, so we can't say for sure. This being said, there have been reports from other users that Coppermine can be bridged just fine with vB, and there have been reports from users that coppermine can be bridged with vB in the version you appear to be using. So the answer is: yes, this can be accomplished.
Logged

ezechiele81

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
Re: coppermine 1.427 -vBulletin® Version 3.8.5 ERROR
« Reply #10 on: May 27, 2010, 10:18:43 am »

ok.
I can say without changing anything in the file "vbulletin30.inc.php"
the bridge does not work.
Thanks anyway
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47844
  • aka "GauGau"
    • gaugau.de
Re: coppermine 1.427 -vBulletin® Version 3.8.5 ERROR
« Reply #11 on: May 27, 2010, 10:27:14 am »

Hm, how can you say that? The file probably is not the culprit, but the setup. You ignored my advice to review the vB setup - at least you haven't reported what your settings are there. I'm getting a bit reluctant to look into this, given your attitude that needs review imo.

Joachim
Logged

ezechiele81

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
Re: coppermine 1.427 -vBulletin® Version 3.8.5 ERROR
« Reply #12 on: May 27, 2010, 10:35:22 am »

What do you mean with "review the vB setup" ?
thanks
Logged

ezechiele81

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
Re: coppermine 1.427 -vBulletin® Version 3.8.5 ERROR
« Reply #13 on: May 27, 2010, 11:22:13 am »

coppermine I reinstalled in another directory:
http://www.sanihelp.it/pagina-personale/usergallery/
before the bridge I closed the forum
http://www.sanihelp.it/forum/

I'm entered in the admin section of coppermine set "Bridge manager
now trying to access with the same forum users and works!!

Logged
Pages: [1]   Go Up
 

Page created in 0.02 seconds with 20 queries.